## ros-noetic-diagnostic-aggregator 1.11.0

=== debian/changelog ===
ros-noetic-diagnostic-aggregator (1.11.0-1buster) buster; urgency=high

  * Use DiagnosticLevel enum instead of hardcoded integers (#208 <https://github.com/ros/diagnostics/issues/208>)
    Spellcheck fixes
  * Add install command for demo in CMakeLists
  * Contributors: Amilcar Lucas, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-diagnostic-aggregator (1.10.4-1buster) buster; urgency=high

  * Improve messages of GenericAnalyzer when items are stale. (#187 <https://github.com/ros/diagnostics/issues/187>)
  * Contributors: Michael Grupp

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 13 Mar 2021 23:00:00 -0000

ros-noetic-diagnostic-aggregator (1.10.3-1buster) buster; urgency=high

  * Add mutex for other analyzers (#170 <https://github.com/ros/diagnostics/issues/170>)
  * Update maintainer info
  * Contributors: Guglielmo Gemignani, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 04 Dec 2020 23:00:00 -0000

ros-noetic-diagnostic-aggregator (1.10.2-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.10.1-1buster) buster; urgency=high

  * Extend initial connect timeout for add_analyzers (#129 <https://github.com/ros/diagnostics/issues/129>)
  * Contributors: Mike Purvis

 -- Austin Hendrix <namniart@gmail.com>  Wed, 19 Aug 2020 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.10.0-1buster) buster; urgency=high

  * Fixed Flaky Test (#145 <https://github.com/ros/diagnostics/issues/145>)
  * Make Guglielmo Gemignani ROS1 maintainer (#155 <https://github.com/ros/diagnostics/issues/155>)
  * Contributors: Guglielmo Gemignani, Martin Pecka

 -- Austin Hendrix <namniart@gmail.com>  Mon, 10 Aug 2020 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.9.4-1buster) buster; urgency=high

  * noetic release (#136 <https://github.com/ros/diagnostics/issues/136>)
  * Merge pull request #99 <https://github.com/ros/diagnostics/issues/99> from g-gemignani/indigo-devel
    Fix discard_stale (Closes #65 <https://github.com/ros/diagnostics/issues/65>)
  * Merge pull request #96 <https://github.com/ros/diagnostics/issues/96> from kejxu/use_global_gtest_library
    update CMakeLists.txt to search for local gtest first
  * Fix problem with pr that skipped the timeout stale transition period
  * Address pr issue about discard_stale test
  * Fix copyright and remove unused imports
  * Address issue 65
    Make sure that analyzers flagged with discard_stale = true are correctly
    removed after being stale for a period greater than the timeout
  * update cmake include directories to use correct gtest.h
  * Merge pull request #95 <https://github.com/ros/diagnostics/issues/95> from kejxu/use_operator_instead_of_alias
    use operators instead of aliases
  * fix build break
  * Contributors: Alejandro Hernández Cordero, Austin, Guglielmo Gemignani, James Xu, Sean Yen

 -- Austin Hendrix <namniart@gmail.com>  Tue, 31 Mar 2020 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.9.3-1buster) buster; urgency=high

  * Merge pull request #79 <https://github.com/ros/diagnostics/issues/79> from nlamprian/indigo-devel
    Fixed base_path handling
  * Merge pull request #82 <https://github.com/ros/diagnostics/issues/82> from moriarty/fix-pluginlib-deprecated-headers
    [Aggregator] Fixes C++ Warnings (pluginlib)
  * [Aggregator] Fixes C++ Warnings (pluginlib)
    This fixes the following warnings:
    warning: Including header <pluginlib/class_list_macros.h>
    is deprecated,include <pluginlib/class_list_macros.hpp> instead. [-Wcpp]
    warning: Including header <pluginlib/class_loader.h>
    is deprecated, include <pluginlib/class_loader.hpp> instead. [-Wcpp]
    The .hpp files have been backported to indigo
  * Fixed base_path handling
  * Upstream missing changes to add_analyzers
  * Contributors: Alexander Moriarty, Austin, Nick Lamprianidis, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.9.2-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.9.1-1buster) buster; urgency=high

  * Add queue size parameters on Publishers
  * add_analyzers improvements
    * Warning message when bond is broken
    * Per-bond topics to avoid queue length issues
  * Option to make diagnostics in Other an error
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.9.0-1buster) buster; urgency=high

  * Longer settling time
  * Fix race condition in unload
  * Fix cmake warnings
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Changed all deprecated PLUGINLIB_DECLARE_CLASS to PLUGINLIB_EXPORT_CLASS macros
  * Contributors: Aris Synodinos, Lukas Bulwahn, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.8.10-1buster) buster; urgency=high

  * Start bond after add_diagnostics service is available
  * Contributors: Mustafa Safri

 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.8.9-1buster) buster; urgency=high

  * Add version dependencies in package.xml
  * Add version check in cmake
  * Add functionality for dynamically adding analyzers
  * Contributors: Michal Staniaszek, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-noetic-diagnostic-aggregator (1.8.8-1buster) buster; urgency=high

  * Fix #17 <https://github.com/ros/diagnostics/issues/17>
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-noetic-diagnostic-aggregator (1.8.7-1buster) buster; urgency=high

  * Upgrade to gtest 1.7.0

