=== debian/control ===
Source: ros-noetic-diagnostic-aggregator
Section: misc
Priority: optional
Maintainer: Guglielmo Gemignani <guglielmo.gemignani@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-bondcpp, ros-noetic-bondpy, ros-noetic-catkin (>= 0.5.68), ros-noetic-diagnostic-msgs (>= 1.11.9), ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-xmlrpcpp
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-noetic-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-bondcpp, ros-noetic-bondpy, ros-noetic-diagnostic-msgs (>= 1.11.9), ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-xmlrpcpp
Description: diagnostic_aggregator
